summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-01-08 03:38:03 +0000
committerMike Frysinger <vapier@gentoo.org>2012-01-08 03:38:03 +0000
commite22c5aef9d8d0ed22998ac1c6de91dc2f3831564 (patch)
tree900643b187faca9863428861a7ed9c90f149dc68 /eclass
parentFixed version of genkernel out, so that users do not trigger the /usr mount c... (diff)
downloadgentoo-2-e22c5aef9d8d0ed22998ac1c6de91dc2f3831564.tar.gz
gentoo-2-e22c5aef9d8d0ed22998ac1c6de91dc2f3831564.tar.bz2
gentoo-2-e22c5aef9d8d0ed22998ac1c6de91dc2f3831564.zip
respect CPPFLAGS, and mark cc/ld as local
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qmail.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index 4c0242ea91ec..3e382498698c 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qmail.eclass,v 1.5 2011/11/24 00:04:13 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qmail.eclass,v 1.6 2012/01/08 03:38:03 vapier Exp $
# @ECLASS: qmail.eclass
# @MAINTAINER:
@@ -99,10 +99,10 @@ dosupervise() {
# because a user supplied patch might apply changes to these files, too.
# See bug #165981.
qmail_set_cc() {
- cc=$(head -n 1 ./conf-cc | sed -e "s#^g\?cc\s\+\(-O2\)\?#$(tc-getCC) #")
- ld=$(head -n 1 ./conf-ld | sed -e "s#^g\?cc\s\+\(-s\)\?#$(tc-getCC) #")
+ local cc=$(head -n 1 ./conf-cc | sed -e "s#^g\?cc\s\+\(-O2\)\?#$(tc-getCC) #")
+ local ld=$(head -n 1 ./conf-ld | sed -e "s#^g\?cc\s\+\(-s\)\?#$(tc-getCC) #")
- echo "${cc} ${CFLAGS}" > ./conf-cc || die 'Patching conf-cc failed.'
+ echo "${cc} ${CFLAGS} ${CPPFLAGS}" > ./conf-cc || die 'Patching conf-cc failed.'
echo "${ld} ${LDFLAGS}" > ./conf-ld || die 'Patching conf-ld failed.'
}